<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getActionTime](./bitburner.bladeburner.getactiontime.md)

## Bladeburner.getActionTime() method

Get the time to complete an action.

**Signature:**

```typescript
getActionTime(type: string, name: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  type | string | Type of action. |
|  name | string | Name of action. Must be an exact match. |

**Returns:**

number

Number of milliseconds it takes to complete the specified action.

## Remarks

RAM cost: 4 GB

Returns the number of milliseconds it takes to complete the specified action

